Subject: AW: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go

From: "Babutzka, Martin (EKP)" <[email-masked]>
Date: Thu, 2 Oct 2014 12:21:56 +0200

Hello Mike,

I agree it is a severe problem. Please notice that the effect was vice versa to your comment: Old sessions continued running with no effect but it was not possible to start new sessions. I have no idea how the running session and in-memory binaries and libraries might have contributed to the effect (maybe a system restart would have helped, a restart of /etc/init.d/x2goserver did NOT help).
I am sorry I cannot help further with beta-experiments. It is a productive remote system for science with 20+ active users. To resolve the issue asap I turned to the Baikal LTS ppa and installed the x2goserver 4.0.0.11. It resolved all issues immediately.

Kind regards,
Martin

*****
Martin Babutzka
Karlsruher Institut für Technologie (KIT), ITEP-TLK und IEKP
Email: [email-masked]
Tel.: +49 721 608 24041 (TLK)
oder: +49 721 608 24097 (IK)

-----Ursprüngliche Nachricht-----
Von: Mike Gabriel [mailto:[email-masked]] 
Gesendet: Donnerstag, 2. Oktober 2014 12:12
An: Babutzka, Martin (EKP); [email-masked]
Betreff: Re: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go

Control: severity -1 grave

Hi Martin,

On  Do 02 Okt 2014 10:49:13 CEST, Babutzka, Martin (EKP) wrote:

> After the apt update to x2goserver 4.0.1.16 it is not possible to 
> create new connections to the x2goserver. It must be connected to the 
> modifications in the location of the session directories.
> There was no server restart after the update (and can also not be 
> executed), there were suspended and active sessions from the old 
> x2goserver.
> Any try to create a new connection ends up with the client status hang 
> during "Starting" followed up by a time out error after a while.
> The syslog is filled with messages like this:
> Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]:  
> neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this 
> session does not exists:
> /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/stat
> e (this can be ignored during session startups)
>
> The system is an Ubuntu 14.04.1 LTS on the most recent state. These 
> other x2goserver related packages (x2goserver-extensions, 
> x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession) are 
> also installed and at version 4.0.1.16. The remaining server 
> configuration is complex using LDAP users and tmpreaper to regularly 
> clean up tmp - but these directories are protected from clean-up 
> '/tmp/.X11-unix /tmp/.x2go*'. It always worked with 4.0.1.15 and I 
> truly liked the functionality of the x2go software.

This is a severe issue. I though this to be fixed [1], but just now found two other places (in x2golistsessions and x2golistsessions_root) where the X2Go Server can break running (non-state-file) sessions.

Are you able to and available for build(ing)+install(ing) x2goserver 4.0.1.17-pre from Git for a test run (things cannot get worse for you...)?

Mike

[1]
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f243553a7fb5982c2283da39ecb4241e787dab28

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb